petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMRefine

Refines a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMRefine(DM dm,MPI_Comm comm,DM *dmf)

Collective on DM Many br

### Input Parameter

| dm | - the DM object Many br
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL) Many br

### Output Parameter

dmf -the refined DM, or NULL Many br

Note: If no refinement was done, the return value is NULL Many br

Many br

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex65dm.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html